Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynSequence_i Class Reference

`#include <DynSequence_i.h>`

Inheritance diagram for TAO_DynSequence_i:

[legend]
Collaboration diagram for TAO_DynSequence_i:

[legend]
List of all members.

## Public Methods
| TAO_DynSequence_i (void)
| Constructor.
| ~TAO_DynSequence_i (void)
| Destructor.
void | init (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Initialize using just a TypeCode.
void | init (const CORBA::Any &any ACE_ENV_ARG_DECL)
| Initialize using an Any.
virtual CORBA::ULong | get_length (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_length (CORBA::ULong len ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::AnySeq * | get_elements (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_elements (const DynamicAny::AnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::DynAnySeq * | get_elements_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_elements_as_dyn_any (const DynamicAny::DynAnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | from_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | to_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynSequence_i * | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Methods
CORBA::TypeCode_ptr | get_element_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
void | init_common (void)
| TAO_DynSequence_i (const TAO_DynSequence_i &src)
TAO_DynSequence_i & | operator= (const TAO_DynSequence_i &src)
## Private Attributes
ACE_Array_Base< DynamicAny::DynAny_var > | da_members_
| Each component is also a DynAny.

## Detailed Description

Implementation of Dynamic Any type for Sequences.

## Constructor & Destructor Documentation

TAO_DynSequence_i::TAO_DynSequence_i | ( | void |  | ) |

| Constructor.

TAO_DynSequence_i::~TAO_DynSequence_i | ( | void |  | ) |

| Destructor.

TAO_DynSequence_i::TAO_DynSequence_i | ( | const TAO_DynSequence_i & | src | ) | `[private]`

## Member Function Documentation

TAO_DynSequence_i* TAO_DynSequence_i::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynSequence.

DynamicAny::DynAny_ptr TAO_DynSequence_i::current_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynSequence_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

virtual CORBA::Boolean TAO_DynSequence_i::equal | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

virtual void TAO_DynSequence_i::from_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::TypeCode_ptr TAO_DynSequence_i::get_element_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[private]`

DynamicAny::AnySeq * TAO_DynSequence_i::get_elements | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynSequence.

DynamicAny::DynAnySeq * TAO_DynSequence_i::get_elements_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynSequence.

CORBA::ULong TAO_DynSequence_i::get_length | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynSequence.

void TAO_DynSequence_i::init | ( | const CORBA::Any &any | ACE_ENV_ARG_DECL | ) |

| Initialize using an Any.

void TAO_DynSequence_i::init | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

| Initialize using just a TypeCode.

void TAO_DynSequence_i::init_common | ( | void |  | ) | `[private]`

TAO_DynSequence_i& TAO_DynSequence_i::operator= | ( | const TAO_DynSequence_i & | src | ) | `[private]`

void TAO_DynSequence_i::set_elements | ( | const DynamicAny::AnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynSequence.

virtual void TAO_DynSequence_i::set_elements_as_dyn_any | ( | const DynamicAny::DynAnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynSequence.

virtual void TAO_DynSequence_i::set_length | ( | CORBA::ULong len | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynSequence.

CORBA::Any_ptr TAO_DynSequence_i::to_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

## Member Data Documentation

ACE_Array_Base<DynamicAny::DynAny_var> TAO_DynSequence_i::da_members_`[private]`

| Each component is also a DynAny.

The documentation for this class was generated from the following files:

- DynSequence_i.h
- DynSequence_i.cpp